version: "3.8"
services:
    ux-ui:
        image: registry.gitlab.com/com.trumpf.ux/docker-images/com.trumpf.node-sdt-docker-image:16.0.0
        environment:
            - NODE_OPTIONS=--max_old_space_size=4096
        ports:
            - "4100:4000"
        volumes:
            - ./:/var/www/app/
        working_dir: /var/www/app/
        entrypoint: /var/www/app/docker/scripts/node-entrypoint.sh
